@import url("https://fonts.googleapis.com/css2?family=JetBrains+Mono:ital,wght@0,100..800;1,100..800&display=swap");
* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

header {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1.5rem 2rem;
}

header h1 {
    font-size: 1.5rem;
    color: #00ff00;
}

header .logo {
    width: 32px;
}

header nav {
    display: flex;
    gap: 1.5rem;
}

header a {
    font-size: 1.25em;
}

body {
    font-family: "JetBrains Mono", monospace;
    background: #000000;
    color: #bebebe;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: flex-start;
    text-align: center;
    gap: 1rem;
    padding: 2rem 1rem 1rem; /* top | sides | bottom */
    box-sizing: border-box;
    max-width: 960px;
    margin: 0 auto; /* keeps it centered */
}

main {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    flex: 1;
    gap: 1rem;
    width: 100%;
}

.logo {
    width: 20em;
}

.banner {
    width: 20em;
}

.exlink {
    width: 0.5em;
    display: inline;
    vertical-align: 20%;
}

h1 {
    font-size: 3.25em;
    color: #00ff00;
}

/*h3 {
    font-style: italic;
}*/

a {
    color: #bebebe;
    font-weight: 800;
    text-decoration: none;
    font-style: italic;
}

a:hover {
    text-decoration: underline;
}

.social-main {
    display: flex;
    gap: 1.5rem;
}

.social-main img {
    width: 32px;
}

.social-footer {
    display: flex;
    gap: 1rem;
    justify-content: center;
    padding-top: 1em;
}

.social-footer img {
    width: 24px;
}

.head-id {
    display: flex;
    gap: 1em;
}

.about {
    text-align: left;
}

/*.about h2 {
    font-style: italic;
}*/

.about p {
    font-size: 1.1em;
}

/*.about a {
    text-decoration: none;
}*/

/*.about a:hover {
    text-decoration: underline;
}*/

.about li {
    margin-top: 0.5em;
    font-size: 1.1em;
}

footer {
    font-size: 0.875rem;
    padding-top: 1rem;
    padding-bottom: 1rem;
}

@media (max-width: 600px) {
    header {
        flex-direction: column;
        gap: 1rem;
    }
}
